from flask import Flask
from flask import request, abort

user_dict = {0: "Felipe", 1: "Juan", 2: "Alfonso"}


app = Flask(__name__)


@app.errorhandler(500)
def internal_error(error):
    return "Error interno.", 500


@app.route("/greet", methods=["GET", "POST"])
def greet():
    return f"Hello World! ({request.method})", 200


@app.route('/greet/<username>', methods=["GET"])
def greet_user_get(username: str):
    return "Hello " + username + "!", 200


@app.route("/user", methods=["POST"])
def get_user():
    data = request.get_json()
    if data["user_id"] not in user_dict:
        abort(500)
        # return 'Error interno.', 500

    return user_dict[data["user_id"]], 200


if __name__ == "__main__":
    app.run(debug=True, host='127.0.0.1', port=5000)
